#include <iostream>
#include <algorithm>
using namespace std;

const int maks=30010;
void zamena(int a[],int b[],int n,int i, int j)
{
      swap(a[i],a[j]);
      a[i]*=-1;
      a[j]*=-1;
}
int main()
{
    int T,a[maks],b[maks],n;
    cin>>T;
    while(T>0)
    {
        cin>>n;
        for(int i=0;i<n;i++)cin>>a[i];
        for(int i=0;i<n;i++)cin>>b[i];
        if(a[0]!=b[0])
            {
                zamena(a,b,n,0,1);

            }
        for(int i=1;i<n-1;i++)
        {
            if(a[i]!=b[i])
            {
              if(a[i-1]==b[i-1])
                zamena(a,b,n,i,i+1);
              else
                zamena(a,b,n,i,i-1);
            }
        }
        bool istinitost=true;
        for(int i=1;i<n+1;i++)
        {
            if(a[i]!=b[i])
            {
                istinitost=false;
            }
        }
        if(istinitost)
           cout<<"DA";
        else
            cout<<"NE";






        T--;

    }
}